> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1gatewayregister



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Device//swagger/v1/swagger.json post /api/v1/gateway/register
openapi: 3.0.0
info:
  title: NDS.Services.Device
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Device/
security: []
paths:
  /api/v1/gateway/register:
    post:
      tags:
        - Gateway
      operationId: Gateway_RegisterGateway
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterGatewayRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterGatewayResult'
components:
  schemas:
    RegisterGatewayRequest:
      type: object
      additionalProperties: false
      required:
        - Type
        - Description
        - Configuration
      properties:
        Type:
          type: string
          minLength: 1
        Description:
          type: string
          minLength: 1
        Configuration: {}
        ProxyId:
          type: string
          nullable: true
    RegisterGatewayResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````